Update a client
curl --request PATCH \
--url https://api.artu.ai/clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"data": {
"name": "<string>",
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"incorporationDate": "2023-12-25",
"commercialName": "<string>",
"formationDate": "2023-12-25",
"scopes": [],
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
}
}
'import requests
url = "https://api.artu.ai/clients/{id}"
payload = { "data": {
"name": "<string>",
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"incorporationDate": "2023-12-25",
"commercialName": "<string>",
"formationDate": "2023-12-25",
"scopes": [],
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
name: '<string>',
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
incorporationDate: '2023-12-25',
commercialName: '<string>',
formationDate: '2023-12-25',
scopes: [],
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
}
})
};
fetch('https://api.artu.ai/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'name' => '<string>',
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'incorporationDate' => '2023-12-25',
'commercialName' => '<string>',
'formationDate' => '2023-12-25',
'scopes' => [
],
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/{id}"
payload := strings.NewReader("{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/clients/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<unknown>",
"claveSujetoObligado": "<unknown>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Clients
Update a client
PATCH
/
clients
/
{id}
Update a client
curl --request PATCH \
--url https://api.artu.ai/clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"data": {
"name": "<string>",
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"incorporationDate": "2023-12-25",
"commercialName": "<string>",
"formationDate": "2023-12-25",
"scopes": [],
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
}
}
'import requests
url = "https://api.artu.ai/clients/{id}"
payload = { "data": {
"name": "<string>",
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"incorporationDate": "2023-12-25",
"commercialName": "<string>",
"formationDate": "2023-12-25",
"scopes": [],
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
name: '<string>',
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
incorporationDate: '2023-12-25',
commercialName: '<string>',
formationDate: '2023-12-25',
scopes: [],
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
}
})
};
fetch('https://api.artu.ai/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'name' => '<string>',
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'incorporationDate' => '2023-12-25',
'commercialName' => '<string>',
'formationDate' => '2023-12-25',
'scopes' => [
],
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/{id}"
payload := strings.NewReader("{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/clients/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"name\": \"<string>\",\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"incorporationDate\": \"2023-12-25\",\n \"commercialName\": \"<string>\",\n \"formationDate\": \"2023-12-25\",\n \"scopes\": [],\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<unknown>",
"claveSujetoObligado": "<unknown>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
- Option 1
- Option 2
- Option 3
Type
Name
Minimum string length:
1Minimum array length:
1Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Nationalities
External ID
Metadata
Show child attributes
Show child attributes
Birth Date
Middle Name
Last Name
Employment
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
